/*	$LAAS$ */
/*
 * Copyright (c) 2005 CNRS/LAAS
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
#ifndef _CANGYROCMD_H
#define _CANGYROCMD_H

/*
 * Commands of the Neobotix gyro board.
 */
enum CMD_GYROBOARD {
        CMD_GYROBOARD_CONNECT,
        CMD_GYROBOARD_DISCONNECT,
        CMD_GYROBOARD_ZEROGYRO,
        CMD_GYROBOARD_GETGYRO,
        CMD_GYROBOARD_GETDATA,
        CMD_GYROBOARD_DEBUG,
        CMD_GYROBOARD_CMD1,
        CMD_GYROBOARD_CMD2,
        CMD_GYROBOARD_CMD3,
        CMD_GYROBOARD_CMD4,
        CMD_GYROBOARD_UNKNOWN
};

#endif
